VERSION 5.00
Begin VB.Form frmKeyName 
   AutoRedraw      =   -1  'True
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   " New One-Time-Pad"
   ClientHeight    =   2490
   ClientLeft      =   45
   ClientTop       =   300
   ClientWidth     =   4590
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2490
   ScaleWidth      =   4590
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.Frame Frame1 
      Height          =   50
      Left            =   120
      TabIndex        =   6
      Top             =   1920
      Width           =   4335
   End
   Begin VB.ComboBox Combo1 
      Height          =   315
      Left            =   120
      TabIndex        =   3
      Text            =   "Combo1"
      Top             =   1320
      Width           =   1215
   End
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "&Cancel"
      Height          =   375
      Left            =   3240
      TabIndex        =   1
      Top             =   2040
      Width           =   1215
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "&OK"
      Enabled         =   0   'False
      Height          =   375
      Left            =   1920
      TabIndex        =   0
      Top             =   2040
      Width           =   1215
   End
   Begin VB.TextBox txtOTPname 
      Height          =   285
      Left            =   120
      TabIndex        =   2
      Top             =   600
      Width           =   4335
   End
   Begin VB.Label Label2 
      Caption         =   "Select size:"
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   1080
      Width           =   1335
   End
   Begin VB.Label Label1 
      Caption         =   "Enter the name of the new One-Time-Pad:"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   360
      Width           =   3255
   End
End
Attribute VB_Name = "frmKeyName"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub cmdCancel_Click()
gstrOTPname = ""
Me.Hide
End Sub

Private Sub cmdOK_Click()
If Me.txtOTPname.Text = "" Then Exit Sub

gstrOTPname = App.path & "\Pads\" & Me.txtOTPname.Text & ".OTP"

If FileExist(gstrOTPname) Then
    If ReadOTPStatus(gstrOTPname) < 128 Then ' overwrite onw key ??
        retVal = MsgBox("You already have a one-time-pad in use called """ & ShortName(gstrOTPname) & """." & vbCrLf & "Overwriting the One-Time-Pad will change the current segment information!" & vbCrLf & vbCrLf & "Do you want to overwrite the existing One-Time-Pad?", vbExclamation + vbOKCancel, "One-Time-Pad")
        Else
        retVal = MsgBox("You already have a one-time-pad imported called """ & ShortName(gstrOTPname) & """." & vbCrLf & vbCrLf & "Do you want to overwrite the existing One-Time-Pad?", vbExclamation + vbOKCancel, "One-Time-Pad")
        End If
    If retVal = vbCancel Then
        Me.txtOTPname.SelStart = 0
        Me.txtOTPname.SelLength = Len(Me.txtOTPname)
        Me.txtOTPname.SetFocus
        Exit Sub
        End If
    End If

Select Case Me.Combo1.Text
    Case "10.000"
    gblnBlocks = 1
    Case "100.000"
    gblnBlocks = 10
    Case "1.000.000"
    gblnBlocks = 100
End Select
Me.Hide
End Sub

Private Sub Form_Activate()
Me.txtOTPname.Text = ""
Me.txtOTPname.SetFocus
End Sub

Private Sub Form_Load()
Me.Combo1.AddItem "10.000"
Me.Combo1.AddItem "100.000"
Me.Combo1.AddItem "1.000.000"
Me.Combo1.ListIndex = 1
End Sub

Private Sub txtOTPname_Change()
If Me.txtOTPname.Text = "" Then
    Me.cmdOK.Enabled = False
    Else
    Me.cmdOK.Enabled = True
    End If
End Sub

Private Sub txtOTPname_GotFocus()
Me.txtOTPname.SelStart = 0
Me.txtOTPname.SelLength = Len(Me.txtOTPname)
End Sub

Private Sub txtOTPname_KeyPress(KeyAscii As Integer)
Select Case KeyAscii
Case Asc("\"), Asc("/"), Asc(":"), Asc("*"), Asc("?"), Asc(""""), Asc("<"), Asc(">"), Asc("|")
    Beep
    KeyAscii = 0 'refuse'\/:*?"<>|
Case 13
    KeyAscii = 0
    If Me.cmdOK.Enabled = True Then Call cmdOK_Click
End Select
End Sub
